Name:           perl-Cairo-GObject
Version:        1.005
Release:    4%{?dist}
Summary:        Integrate Cairo into the Glib type system
License:        LGPLv2+
URL:            https://metacpan.org/release/Cairo-GObject
Source0:        https://cpan.metacpan.org/authors/id/X/XA/XAOC/Cairo-GObject-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Cairo) >= 1.080
BuildRequires:  perl(ExtUtils::Depends) >= 0.2
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.0
BuildRequires:  perl(Glib) >= 1.224
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(Glib::Object::Subclass)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
BuildRequires:  cairo-gobject-devel
Requires:       perl(Cairo) >= 1.080
Requires:       perl(Glib) >= 1.224

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Cairo\\)$
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Glib\\)$

%description
Cairo and Glib are now loaded and the Cairo types are registed with Glib's
type machinery. This allows you to correctly use Cairo types in signals and
properties.

%prep
%setup -q -n Cairo-GObject-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc NEWS README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cairo*
%{_mandir}/man3/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.005-4
- Rebuilt for loongarch64

* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.005-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.005-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.005-1
- initial build
